general {

}

background {
    monitor =
    path = /home/texturawasd/Pictures/Wallpapers/wallpaper-mountains-stars-sky.jpg
    # path = /home/texturawasd/Pictures/Wallpapers/arch2onedark.png
    blur_passes = 3    # High blur makes text readable
    #blur_passes = 0
    contrast = 0.8916
    brightness = 0.8172
    vibrancy = 0.1696
}

# TIME (Clock)
label {
    monitor =
    text = cmd[update:1000] echo "$(date +"%H:%M")"
    color = rgba(255, 255, 255, 1.0)
    font_size = 120
    font_family = Ubuntu Nerd Font Bold
    position = 0, -150
    halign = center
    valign = top
}

# DATE
label {
    monitor =
    text = cmd[update:1000] echo "$(date +"%A, %d %B")"
    color = rgba(255, 255, 255, 0.8)
    font_size = 24
    font_family = Ubuntu Nerd Font
    position = 0, -317
    halign = center
    valign = top
}

# BATTERY
label {
    monitor =
    # This command grabs battery capacity and status to pick the right icon
    text = cmd[update:1000] echo "$(cat /sys/class/power_supply/BAT0/capacity)% $([ "$(cat /sys/class/power_supply/BAT0/status)" = "Charging" ] && echo "󱐋" || echo "󰁹")"
    color = rgba(255, 255, 255, 1.0)
    font_size = 14
    font_family = Ubuntu Nerd Font
    position = -20, 20
    halign = right
    valign = bottom
}

# INPUT FIELD (Password box)
input-field {
    monitor =
    size = 250, 50
    outline_thickness = 3
    dots_size = 0.2 # Scale of input-field height, 0.2 - 0.8
    dots_spacing = 0.15 # Scale of dots' absolute size, 0.0 - 1.0
    dots_center = true
    outer_color = rgba(38, 38, 38, 0.7)
    inner_color = rgba(26, 26, 26, 0.55)
    font_color = rgb(255, 255, 255)
    fade_on_empty = false
    placeholder_text = Password...
    hide_input = false

    # Match your Waybar colors for status
    check_color = rgba(240, 179, 86, 1)    # Yellow (Warning color)
    fail_color = rgba(245, 68, 68, 1)     # Red (Critical color)
    capslock_color = rgba(98, 245, 235, 1) # Green (Charging/Active color)

    position = 0, -20
    halign = center
    valign = center
}
